Bug 112715 - kernel BUG at highmem.c:145!
kernel BUG at highmem.c:145!
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-29 14:31 EST by Peter McLain
Modified: 2007-04-18 13:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter McLain 2003-12-29 14:31:20 EST
Description of problem:

  I was getting seg faults running rm.  All other commands I tried
worked fine.  I was even able to successfully reboot.  During the time
I was experiencing the problem, rm would always and immediately fail.
 I tried running rm without args, expecting an error message, but
immediately got the seg fault.  I've rebooted and run for about 2
hours now and no problems.


Version-Release number of selected component (if applicable):

 kernel-2.4.20-27.9 athlon

 Linux gandalf 2.4.20-27.9 #1 Thu Dec 11 14:01:47 EST 2003 i686 athlon
i386 GNU/Linux

How reproducible:

  While I was experiencing the problem, rm *always* seg faulted. 
Since reboot, everything's fine.



Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Here's some output from /var/log/messages.  The boot line is the most
recent boot before the problem appeared.  The bug apparently happened
quite a bit while we were on christmas break:

[root@gandalf MessagesWithErr]# grep BUG messages* | wc
    223    2007   16056



Dec 22 16:58:59 gandalf syslogd 1.4.1: restart.
Dec 22 16:59:00 gandalf syslog: syslogd startup succeeded
Dec 22 16:59:00 gandalf syslog: klogd startup succeeded
Dec 22 16:59:00 gandalf kernel: klogd 1.4.1, log source = /proc/kmsg
started.
Dec 22 16:59:00 gandalf kernel: Linux version 2.4.20-24.9
(bhcompile@daffy.perf.redhat.com) (gcc version 3.2.2 20030222 (Red Hat
Linux 3.2.2-5)) #1 Mon Dec 1 11:43:36 EST 2003

 ...

Dec 27 03:42:13 gandalf kernel: Unable to handle kernel paging request
at virtual address 48c4a5e4
Dec 27 03:42:13 gandalf kernel:  printing eip:
Dec 27 03:42:13 gandalf kernel: c013a812
Dec 27 03:42:13 gandalf kernel: *pde = 00000000
Dec 27 03:42:13 gandalf kernel: Oops: 0000
Dec 27 03:42:13 gandalf kernel: nls_iso8859-1 udf cmpci soundcore
8139too mii ipt_REJECT iptable_filter ip_tables sg sr_mod ide-scsi
scsi_mod ide-cd cdrom loop keybdev mousedev hid input usb
Dec 27 03:42:13 gandalf kernel: CPU:    0
Dec 27 03:42:13 gandalf kernel: EIP:    0060:[<c013a812>]    Not tainted
Dec 27 03:42:13 gandalf kernel: EFLAGS: 00010246
Dec 27 03:42:13 gandalf kernel:
Dec 27 03:42:13 gandalf kernel: EIP is at scan_active_list [kernel]
0x42 (2.4.20-24.9)
Dec 27 03:42:13 gandalf kernel: eax: 48c4a5e4   ebx: c1c4a398   ecx:
f5a32b80   edx: c46cffb4
Dec 27 03:42:13 gandalf kernel: esi: c0309e0c   edi: 48c4a5e4   ebp:
00000003   esp: c46cffac
Dec 27 03:42:14 gandalf kernel: ds: 0068   es: 0068   ss: 0068
Dec 27 03:42:14 gandalf kernel: Process kscand/HighMem (pid: 8,
stackpage=c46cf000)
Dec 27 03:42:15 gandalf kernel: Stack: c46ce000 c01254e0 00000001
00000003 c46ce000 c0309c80 c46ce000 c013b944
Dec 27 03:42:15 gandalf kernel:        c0309c80 00000003 00000000
c025b473 000009c4 c013b850 00000000 00000000
Dec 27 03:42:15 gandalf kernel:        00000000 c010727d c0309c80
00000000 00000000
Dec 27 03:42:16 gandalf kernel: Call Trace:   [<c01254e0>]
process_timeout [kernel] 0x0 (0xc46cffb0))
Dec 27 03:42:16 gandalf kernel: [<c013b944>] kscand [kernel] 0xf4
(0xc46cffc8))
Dec 27 03:42:16 gandalf kernel: [<c013b850>] kscand [kernel] 0x0
(0xc46cffe0))
Dec 27 03:42:16 gandalf kernel: [<c010727d>] kernel_thread_helper
[kernel] 0x5 (0xc46cfff0))
Dec 27 03:42:16 gandalf kernel:
Dec 27 03:42:16 gandalf kernel:
Dec 27 03:42:17 gandalf kernel: Code: 8b 3f 39 f0 75 de 83 c4 0c 31 c0
5b 5e 5f 5d c3 89 6c 24 04
Dec 27 04:00:00 gandalf kernel:  ------------[ cut here ]------------
Dec 27 04:00:00 gandalf kernel: kernel BUG at highmem.c:145!
Dec 27 04:00:00 gandalf kernel: invalid operand: 0000
Dec 27 04:00:00 gandalf kernel: nls_iso8859-1 udf cmpci soundcore
8139too mii ipt_REJECT iptable_filter ip_tables sg sr_mod ide-scsi
scsi_mod ide-cd cdrom loop keybdev mousedev hid input usb
Dec 27 04:00:00 gandalf kernel: CPU:    0
Dec 27 04:00:00 gandalf kernel: EIP:    0060:[<c0142c40>]    Not tainted
Dec 27 04:00:00 gandalf kernel: EFLAGS: 00010292
Dec 27 04:00:00 gandalf kernel:
Dec 27 04:00:00 gandalf kernel: EIP is at kmap_high [kernel] 0x30
(2.4.20-24.9)
Dec 27 04:00:00 gandalf kernel: eax: 0004a000   ebx: 48000000   ecx:
fbffdfbf   edx: c0399060
Dec 27 04:00:00 gandalf kernel: esi: c1c4a360   edi: c2c49968   ebp:
c86d1de0   esp: c86d1d50
Dec 27 04:00:00 gandalf kernel: ds: 0068   es: 0068   ss: 0068
Dec 27 04:00:00 gandalf kernel: Process cc2.sh (pid: 25343,
stackpage=c86d1000)
Dec 27 04:00:00 gandalf kernel: Stack: 20612073 00000080 c0132aef
00000000 c1c4a360 00000080 00001000 c1c4a360
Dec 27 04:00:00 gandalf kernel:        c2c49968 00000000 c01324ec
c86d1de0 c1c4a360 00000000 00001000 00001000
Dec 27 04:00:00 gandalf kernel:        00000001 00000000 00000000
c2c498c0 00000000 c0132a30 c86d1de0 c86d1e14
Dec 27 04:00:00 gandalf kernel: Call Trace:   [<c0132aef>]
file_read_actor [kernel] 0xbf (0xc86d1d58))
Dec 27 04:00:00 gandalf kernel: [<c01324ec>] do_generic_file_read
[kernel] 0x22c (0xc86d1d78))
Dec 27 04:00:00 gandalf kernel: [<c0132a30>] file_read_actor [kernel]
0x0 (0xc86d1da4))
Dec 27 04:00:00 gandalf kernel: [<c0132bb0>] generic_file_read
[kernel] 0xb0 (0xc86d1dc4))
Dec 27 04:00:00 gandalf kernel: [<c0132a30>] file_read_actor [kernel]
0x0 (0xc86d1dd4))
Dec 27 04:00:00 gandalf kernel: [<c014d5f2>] kernel_read [kernel] 0x72
(0xc86d1e00))
Dec 27 04:00:00 gandalf kernel: [<c014da15>] prepare_binprm [kernel]
0x135 (0xc86d1e24))
Dec 27 04:00:00 gandalf kernel: [<c014df1a>] do_execve [kernel] 0xea
(0xc86d1e44))
Dec 27 04:00:00 gandalf kernel: [<c0107af0>] sys_execve [kernel] 0x50
(0xc86d1fa4))
Dec 27 04:00:00 gandalf kernel: [<c010939f>] system_call [kernel] 0x33
(0xc86d1fc0))
Dec 27 04:00:00 gandalf kernel:
Dec 27 04:00:00 gandalf kernel:
Dec 27 04:00:00 gandalf kernel: Code: 0f 0b 91 00 13 b6 25 c0 eb ec 89
04 24 e8 2e 04 00 00 89 c3
Dec 27 04:02:03 gandalf kernel:  ------------[ cut here ]------------
Dec 27 04:02:03 gandalf kernel: kernel BUG at highmem.c:145!
Dec 27 04:02:03 gandalf kernel: invalid operand: 0000
Dec 27 04:02:03 gandalf kernel: nls_iso8859-1 udf cmpci soundcore
8139too mii ipt_REJECT iptable_filter ip_tables sg sr_mod ide-scsi
scsi_mod ide-cd cdrom loop keybdev mousedev hid input usb
Dec 27 04:02:03 gandalf kernel: CPU:    0
Dec 27 04:02:03 gandalf kernel: EIP:    0060:[<c0142c40>]    Not tainted
Dec 27 04:02:03 gandalf kernel: EFLAGS: 00010286
Dec 27 04:02:03 gandalf kernel:
Dec 27 04:02:03 gandalf kernel: EIP is at kmap_high [kernel] 0x30
(2.4.20-24.9)
Dec 27 04:02:03 gandalf kernel: eax: 0004a000   ebx: 48000000   ecx:
fbffdfc0   edx: c0399060
Dec 27 04:02:03 gandalf kernel: esi: c1c4a360   edi: c2c49968   ebp:
c9797de0   esp: c9797d50
Dec 27 04:02:03 gandalf kernel: ds: 0068   es: 0068   ss: 0068
Dec 27 04:02:03 gandalf kernel: Process 00-logwatch (pid: 25583,
stackpage=c9797000)
Dec 27 04:02:03 gandalf kernel: Stack: e9022c40 00000080 c0132aef
00000000 c1c4a360 00000080 00001000 c1c4a360
Dec 27 04:02:03 gandalf kernel:        c2c49968 00000000 c01324ec
c9797de0 c1c4a360 00000000 00001000 00001000
Dec 27 04:02:03 gandalf kernel:        00000001 00000000 00000000
c2c498c0 00000000 c0132a30 c9797de0 c9797e14
Dec 27 04:02:03 gandalf kernel: Call Trace:   [<c0132aef>]
file_read_actor [kernel] 0xbf (0xc9797d58))
Dec 27 04:02:03 gandalf kernel: [<c01324ec>] do_generic_file_read
[kernel] 0x22c (0xc9797d78))
Dec 27 04:02:03 gandalf kernel: [<c0132a30>] file_read_actor [kernel]
0x0 (0xc9797da4))
Dec 27 04:02:03 gandalf kernel: [<c0132bb0>] generic_file_read
[kernel] 0xb0 (0xc9797dc4))
Dec 27 04:02:03 gandalf kernel: [<c0132a30>] file_read_actor [kernel]
0x0 (0xc9797dd4))
Dec 27 04:02:03 gandalf kernel: [<c014d5f2>] kernel_read [kernel] 0x72
(0xc9797e00))
Dec 27 04:02:03 gandalf kernel: [<c014da15>] prepare_binprm [kernel]
0x135 (0xc9797e24))
Dec 27 04:02:03 gandalf kernel: [<c014df1a>] do_execve [kernel] 0xea
(0xc9797e44))
Dec 27 04:02:03 gandalf kernel: [<c0107af0>] sys_execve [kernel] 0x50
(0xc9797fa4))
Dec 27 04:02:03 gandalf kernel: [<c010939f>] system_call [kernel] 0x33
(0xc9797fc0))
Dec 27 04:02:03 gandalf kernel:
Dec 27 04:02:04 gandalf kernel:
Dec 27 04:02:04 gandalf kernel: Code: 0f 0b 91 00 13 b6 25 c0 eb ec 89
04 24 e8 2e 04 00 00 89 c3
Comment 1 Bugzilla owner 2004-09-30 11:41:46 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.